repo/gentoo:master commit in: dev-python/alembic/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786243015.673b1620e547a7f831e6b36f58b145f53bc1efcf.mgorny@gentoo> |
commit: 673b1620e547a7f831e6b36f58b145f53bc1efcf
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 9 02:04:06 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug 9 02:36:55 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=673b1620
dev-python/alembic: Bump to 1.19.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/alembic/Manifest | 1 +
dev-python/alembic/alembic-1.19.1.ebuild | 57 ++++++++++++++++++++++++++++++++
2 files changed, 58 insertions(+)
diff --git a/dev-python/alembic/Manifest b/dev-python/alembic/Manifest
index bcede9e4e980..1cc1e9bd6079 100644
--- a/dev-python/alembic/Manifest
+++ b/dev-python/alembic/Manifest
@@ -1,2 +1,3 @@
DIST alembic-1.18.5.tar.gz 2060480 BLAKE2B cc85b5ebd73920c8f0afe2b9884aab1f30718b94a7ccb4b117186a9088b4141dce27dd505ce5c3015f3b93cabc837ad33e0905117ceee34fde77782b45875a6b SHA512 41d9675e2c99d339e2aa92e670acc0d562ab6a23d2006f2180478fa912ede643be959ca89713678adffe37deb20118a0d67ea7c023b2dea15d3acb5be18721fc
DIST alembic-1.19.0.tar.gz 2069906 BLAKE2B b7f08fbc1023101ca709ee5f6bb82514621a46b18d9c22ad26d9d00c0231cb51186a25c1db0b37943bdb55ea6b2d3c25637ab92667193cd0e85b8f574144dbfc SHA512 7674acbd3bccef780a0b987fdecf7cb3439dc65f58dfeb1d4773c04f81625cbca80152a7a802e54a8cb57b58554f908671feae9680e1fa3567a9f53617c94eef
+DIST alembic-1.19.1.tar.gz 2070816 BLAKE2B b6e2a7189ae5ca980a9f398464bac175501d51932d952b456d6c0ee67d9917a16ced95b669ddb480c24c7bee531b4c1528839894b38e05497b834c48f5dc3252 SHA512 d394e3626c02f06903fe45f4d60c89dfecc68cc45f539e9fca06015726a39cdcd03fbb4a57cf7cc19d0853f6a687b9d2afa1b15e5b54a552b113ad6b7535de6a
diff --git a/dev-python/alembic/alembic-1.19.1.ebuild b/dev-python/alembic/alembic-1.19.1.ebuild
new file mode 100644
index 000000000000..1e1e24c9557c
--- /dev/null
+++ b/dev-python/alembic/alembic-1.19.1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Database migrations tool, written by the author of SQLAlchemy"
+HOMEPAGE="
+ https://github.com/sqlalchemy/alembic/
+ https://pypi.org/project/alembic/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="doc"
+
+RDEPEND="
+ >=dev-python/sqlalchemy-1.4.23[${PYTHON_USEDEP}]
+ dev-python/mako[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.12[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ sys-libs/timezone-data
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=()
+
+ if ! has_version "dev-python/black[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/test_post_write.py::RunHookTest::test_module
+ tests/test_post_write.py::RunHookTest::test_module_black_with_cwd
+ tests/test_post_write.py::RunHookTest::test_module_filename_interpolation
+ tests/test_post_write.py::RunHookTest::test_module_path_in_config
+ )
+ fi
+
+ # setup.cfg contains -p no:warnings in addopts which triggers
+ # datetime.utcfromtimestamp() deprecation warning as an error in py3.12
+ epytest -o addopts=
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/. )
+ distutils-r1_python_install_all
+}